Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.slf4j
Class SLF4JLoggerContextFactory

    java.lang.Object
      org.apache.logging.slf4j.SLF4JLoggerContextFactory

All Implemented Interfaces:
  org.apache.logging.log4j.spi.LoggerContextFactory

    public class SLF4JLoggerContextFactory

extends Object
implements org.apache.logging.log4j.spi.LoggerContextFactory

Constructor Summary
`SLF4JLoggerContextFactory()`

Method Summary
`org.apache.logging.log4j.spi.LoggerContext` | `getContext(String fqcn, ClassLoader loader, Object externalContext, boolean currentContext)`
`org.apache.logging.log4j.spi.LoggerContext` | `getContext(String fqcn, ClassLoader loader, Object externalContext, boolean currentContext, URI configLocation, String name)`
`void` | `removeContext(org.apache.logging.log4j.spi.LoggerContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLF4JLoggerContextFactory

    public SLF4JLoggerContextFactory()

Method Detail

### getContext

    public org.apache.logging.log4j.spi.LoggerContext getContext(String fqcn,
                                                                 ClassLoader loader,
                                                                 Object externalContext,
                                                                 boolean currentContext)

  Specified by:
    `getContext` in interface `org.apache.logging.log4j.spi.LoggerContextFactory`

### getContext

    public org.apache.logging.log4j.spi.LoggerContext getContext(String fqcn,
                                                                 ClassLoader loader,
                                                                 Object externalContext,
                                                                 boolean currentContext,
                                                                 URI configLocation,
                                                                 String name)

  Specified by:
    `getContext` in interface `org.apache.logging.log4j.spi.LoggerContextFactory`

### removeContext

    public void removeContext(org.apache.logging.log4j.spi.LoggerContext context)

  Specified by:
    `removeContext` in interface `org.apache.logging.log4j.spi.LoggerContextFactory`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.